call wilder#setup({
      \ 'modes'                : ['/', '?', ':'],
      \ 'next_key'             : '<Down>',
      \ 'previous_key'         : '<Up>',
      \ 'accept_key'           : '<Right>',
      \ 'reject_key'           : '<Left>',
      \ 'enable_cmdline_enter' : 0,
      \ })

call wilder#set_option('pipeline', [
      \   wilder#branch(
      \     wilder#python_file_finder_pipeline({
      \       'file_command' : ['fd', '-tf'],
      \       'dir_command'  : ['fd', '-td'],
      \       'filters'      : ['fuzzy_filter', 'difflib_sorter'],
      \     }),
      \     wilder#cmdline_pipeline({
      \       'fuzzy'             : 1,
      \       'set_pcre2_pattern' : has('nvim'),
      \     }),
      \     wilder#python_search_pipeline({
      \       'pattern': 'fuzzy',
      \     }),
      \   ),
      \ ])

call wilder#set_option('renderer', wilder#popupmenu_renderer({
      \ 'highlighter': wilder#basic_highlighter(),
      \ }))
